# Class CIM_WakeUpServiceOnNetworkAdapter
extends CIM_DeviceServiceImplementation

Note: The use of the CIM_WakeUpServiceOnNetworkAdapter class has been deprecated because NetworkAdapter is deprecated. Instead use the CIM_WakeUpServiceOnNetworkPort class. Deprecated description: WakeUpServiceOnNetworkAdapter defines where the WakeUpService is implemented.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_DeviceServiceImplementation
|
+--CIM_WakeUpServiceOnNetworkAdapter

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_WakeUpServiceOnNetworkPort
Description | string | Note: The use of the CIM_WakeUpServiceOnNetworkAdapter class has been deprecated because NetworkAdapter is deprecated. Instead use the CIM_WakeUpServiceOnNetworkPort class. Deprecated description: WakeUpServiceOnNetworkAdapter defines where the WakeUpService is implemented.
UMLPackagePath | string | CIM::Device::NetworkAdapter
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_WakeUpServiceOnNetworkAdapter | CIM_NetworkAdapter
Dependent | CIM_WakeUpServiceOnNetworkAdapter | CIM_WakeUpService

## Class Methods